Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | [Expand All]
public interface

# Freezable

com.google.android.gms.common.data.Freezable<T>

Known Indirect Subclasses
AppState, Game, GameEntity, and 14 others.

AppState | Data interface for retrieving app state information.
Game | Data interface for retrieving game information.
GameEntity | Data object representing a set of Game data.
Invitation | Data interface for an invitation object.
InvitationEntity | Data object representing the data for a multiplayer invitation.
ItemScope |
Leaderboard | Data interface for leaderboard metadata.
LeaderboardScore | Data interface representing a single score on a leaderboard.
LeaderboardVariant | Data interface for a specific variant of a leaderboard; a variant is defined by the combination of the leaderboard's collection (public or social) and time span (daily, weekly, or all-time).
Metadata | The details of a Drive file or folder.
Moment |
Participant | Data interface for multiplayer participants.
ParticipantEntity | Data object representing a Participant in a match.
Person |
Person.AgeRange | The age range of the person.
Person.Cover | The cover photo content.
Person.Cover.CoverInfo | Extra information about the cover photo.
Person.Cover.CoverPhoto | The person's primary cover image.
Person.Image | The representation of the person's profile photo.
Person.Name | An object representation of the individual components of a person's name.
Person.Organizations |
Person.PlacesLived |
Person.Urls |
Player | Data interface for retrieving player information.
PlayerEntity | Data object representing a set of Player data.
Room | Data interface for room functionality.
RoomEntity | Data object representing the data for a room.
TurnBasedMatch | Data interface for turn-based specific match functionality.
TurnBasedMatchEntity | Data object representing the data for a turn-based match.

## Class Overview

Interface for data objects that support being frozen into immutable representations.

## Summary

Public Methods
abstract T | freeze() Freeze a volatile representation into an immutable representation.
abstract boolean | isDataValid() Check to see if this object is valid for use.

## Public Methods

#### public abstract T freeze ()

Freeze a volatile representation into an immutable representation. Objects returned from this call are safe to cache.

Note that the output of `freeze` may not be identical to the parent object, but should be equal. In other words:

     Freezable f1 = new Freezable();
     Freezable f2 = f1.freeze();
     f1 == f2 may not be true.
     f1.equals(f2) will be true.

##### Returns

- A concrete implementation of the data object.

#### public abstract boolean isDataValid ()

Check to see if this object is valid for use. If the object is still volatile, this method will indicate whether or not the object can be safely used. The output of a call to `freeze()` will always be valid.

##### Returns

- whether or not the object is valid for use.